aboutsummaryrefslogtreecommitdiffhomepage
path: root/tensorflow/contrib/makefile/build_all_android.sh
diff options
context:
space:
mode:
authorGravatar A. Unique TensorFlower <gardener@tensorflow.org>2016-06-27 02:17:37 -0800
committerGravatar TensorFlower Gardener <gardener@tensorflow.org>2016-06-27 03:34:11 -0700
commit8b8182be4cce2e2c339b9a2fc3586c81c79a6fbd (patch)
treea6e25fe5bef9ef5f7544935aab32b4f135cd1a59 /tensorflow/contrib/makefile/build_all_android.sh
parent92b53f71a9b43507eb05137443751325b9099946 (diff)
Add a script to build all for Android by using Makefile
Change: 125939528
Diffstat (limited to 'tensorflow/contrib/makefile/build_all_android.sh')
-rwxr-xr-xtensorflow/contrib/makefile/build_all_android.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/tensorflow/contrib/makefile/build_all_android.sh b/tensorflow/contrib/makefile/build_all_android.sh
new file mode 100755
index 0000000000..695b0dd4ef
--- /dev/null
+++ b/tensorflow/contrib/makefile/build_all_android.sh
@@ -0,0 +1,41 @@
+#!/usr/bin/env bash
+# Copyright 2016 The TensorFlow Authors. All Rights Reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ==============================================================================
+# This is a composite scprit to build all for Android OS
+
+set -e
+
+if [[ -z "${NDK_ROOT}" ]]; then
+ echo "NDK_ROOT should be set as an environment variable" 1>&2
+ exit 1
+fi
+
+# Make sure we're in the correct directory, at the root of the source tree.
+SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+cd ${SCRIPT_DIR}/../../../
+
+# Remove any old files first.
+make -f tensorflow/contrib/makefile/Makefile clean
+rm -rf tensorflow/contrib/makefile/downloads
+
+# Pull down the required versions of the frameworks we need.
+tensorflow/contrib/makefile/download_dependencies.sh
+
+# Compile protobuf for the target Android device architectures.
+CC_PREFIX="${CC_PREFIX}" NDK_ROOT="${NDK_ROOT}" \
+tensorflow/contrib/makefile/compile_android_protobuf.sh -c
+
+make -f tensorflow/contrib/makefile/Makefile \
+TARGET=ANDROID NDK_ROOT="${NDK_ROOT}" CC_PREFIX="${CC_PREFIX}"